Subject: [bug#76503] [GCD] Migrating repositories, issues, and patches to Codeberg

From: "Thompson, David" <[email-masked]>
Date: Fri, 7 Mar 2025 12:47:38 -0500

On Fri, Mar 7, 2025 at 12:40 PM Suhail Singh <[email-masked]> wrote:
>
> "Thompson, David" <[email-masked]> writes:
>
> > The email-based workflow worked well enough in the early days, but
> > Guix outgrew it 5+ years ago.
>
> Do you also believe that the Linux kernel has outgrown the "email-based
> workflow"?  If not, what makes things different for Guix, in your
> opinion?

I don't contribute to Linux so I have nothing to add here.

> Since a number of criticisms about the current approach have been about
> the GNU fork of Debbugs.  I wonder if replacing that with something else
> (say, Bugzilla) while still retaining the email-based workflow wouldn't
> address most of the pain points.  Unless I'm mistaken, I believe the
> Linux kernel takes a similar approach.

I wouldn't support a switch to Bugzilla or something similar. I want
Guix to use a real forge with pull requests, webhooks, etc.

- Dave